Method: users.availability.patch

Updates availability information for a human user. Only the customStatus field can be updated through this method.

This method only updates the authenticated user's availability.

Requires user authentication with one of the following authorization scopes:

  • https://www.googleapis.com/auth/chat.users.availability

HTTP request

PATCH https://chat.googleapis.com/v1/{availability.name=users/*/availability}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
availability.name

string

Identifier. Resource name of the user's availability.

Format: users/{user}/availability

{user} is the id for the Person in the People API or Admin SDK directory API. For example, users/123456789.

The user's email address or me can also be used as an alias to refer to the caller. For example, users/user@example.com or users/me.

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The list of fields to update. The only field that can be updated is customStatus.

Request body

The request body contains an instance of Availability.

Response body

If successful, the response body contains an instance of Availability.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chat.users.availability

For more information, see the Authorization guide.